다음을 통해 공유


Long Term Retention Backups - Copy

기존 장기 보존 백업을 복사합니다.

POST https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Sql/locations/{locationName}/longTermRetentionServers/{longTermRetentionServerName}/longTermRetentionDatabases/{longTermRetentionDatabaseName}/longTermRetentionBackups/{backupName}/copy?api-version=2025-01-01

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
backupName
path True

string

백업 이름입니다.

locationName
path True

string

데이터베이스의 위치입니다.

longTermRetentionDatabaseName
path True

string

데이터베이스의 이름입니다.

longTermRetentionServerName
path True

string

서버의 이름

subscriptionId
path True

string (uuid)

대상 구독의 ID입니다. 값은 UUID여야 합니다.

api-version
query True

string

minLength: 1

이 작업에 사용할 API 버전입니다.

요청 본문

Name 형식 Description
properties.targetBackupStorageRedundancy

BackupStorageRedundancy

복사한 백업의 스토리지 중복 유형

properties.targetDatabaseName

string

데이터베이스의 이름은 복사된 백업을 소유합니다.

properties.targetResourceGroup

string

대상 서버를 소유하는 리소스 그룹

properties.targetServerFullyQualifiedDomainName

string

대상 서버의 정규화된 도메인 이름

properties.targetServerResourceId

string

데이터베이스를 소유하는 대상 서버의 리소스 ID

properties.targetSubscriptionId

string

대상 서버를 소유하는 구독

응답

Name 형식 Description
200 OK

LongTermRetentionBackupOperationResult

Azure 운영이 성공적으로 완료되었습니다.

202 Accepted

자원 작업이 허용되었습니다.

헤더

Location: string

Other Status Codes

ErrorResponse

예기치 않은 오류 응답입니다.

보안

azure_auth

Azure Active Directory OAuth2 Flow.

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
user_impersonation 사용자 계정 가장

예제

Copy the long term retention backup.

샘플 요청

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japaneast/longTermRetentionServers/testserver/longTermRetentionDatabases/testDatabase/longTermRetentionBackups/55555555-6666-7777-8888-999999999999;131637960820000000/copy?api-version=2025-01-01

{
  "properties": {
    "targetBackupStorageRedundancy": "Geo",
    "targetDatabaseName": "testDatabase2",
    "targetServerResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/resourceGroups/resourceGroup/servers/testserver2"
  }
}

샘플 응답

{
  "name": "a1aa7c77-961b-4fbb-bcd6-aa9acfcd1706",
  "type": "Microsoft.Sql/locations/longTermRetentionBackupOperationResults",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japanEast/longTermRetentionBackupOperationResults/a1aa7c77-961b-4fbb-bcd6-aa9acfcd1706",
  "properties": {
    "fromBackupResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japanEast/longTermRetentionServers/testserver/longterRetentionDatabases/testDatabase/longTermRetentionBackups/55555555-6666-7777-8888-999999999999;131637960820000000",
    "operationType": "CopyBackup",
    "requestId": "a1aa7c77-961b-4fbb-bcd6-aa9acfcd1706",
    "status": "Succeeded",
    "targetBackupStorageRedundancy": "Geo",
    "toBackupResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/resourceGroup/providers/Microsoft.Sql/locations/japanEast/longTermRetentionServers/testserver2/longterRetentionDatabases/testDatabase2/longTermRetentionBackups/55555555-6666-7777-8888-111111111111;131637960820000000"
  }
}
Location: https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japanEast/longTermRetentionBackupOperationResults/a1aa7c77-961b-4fbb-bcd6-aa9acfcd1706?api-version=2021-05-01

정의

Name Description
BackupStorageRedundancy

이 데이터베이스에 대한 백업을 저장하는 데 사용되는 스토리지 계정 유형입니다.

CopyLongTermRetentionBackupParameters

장기 보존 백업 복사 작업을 수행하는 데 필요한 정보를 포함합니다.

createdByType

리소스를 만든 ID의 형식입니다.

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

ErrorDetail

오류 세부 정보입니다.

ErrorResponse

오류 응답

LongTermRetentionBackupOperationResult

LongTermRetentionBackup 작업 결과 리소스입니다.

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

BackupStorageRedundancy

이 데이터베이스에 대한 백업을 저장하는 데 사용되는 스토리지 계정 유형입니다.

Description
Geo

지오

Local

로컬

Zone

영역

GeoZone

GeoZone

CopyLongTermRetentionBackupParameters

장기 보존 백업 복사 작업을 수행하는 데 필요한 정보를 포함합니다.

Name 형식 Description
properties.targetBackupStorageRedundancy

BackupStorageRedundancy

복사한 백업의 스토리지 중복 유형

properties.targetDatabaseName

string

데이터베이스의 이름은 복사된 백업을 소유합니다.

properties.targetResourceGroup

string

대상 서버를 소유하는 리소스 그룹

properties.targetServerFullyQualifiedDomainName

string

대상 서버의 정규화된 도메인 이름

properties.targetServerResourceId

string

데이터베이스를 소유하는 대상 서버의 리소스 ID

properties.targetSubscriptionId

string

대상 서버를 소유하는 구독

createdByType

리소스를 만든 ID의 형식입니다.

Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

Name 형식 Description
info

object

추가 정보입니다.

type

string

추가 정보 유형입니다.

ErrorDetail

오류 세부 정보입니다.

Name 형식 Description
additionalInfo

ErrorAdditionalInfo[]

오류 추가 정보입니다.

code

string

오류 코드입니다.

details

ErrorDetail[]

오류 세부 정보입니다.

message

string

오류 메시지입니다.

target

string

오류 대상입니다.

ErrorResponse

오류 응답

Name 형식 Description
error

ErrorDetail

오류 개체입니다.

LongTermRetentionBackupOperationResult

LongTermRetentionBackup 작업 결과 리소스입니다.

Name 형식 Description
id

string (arm-id)

리소스에 대한 정규화된 리소스 ID입니다. 예: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

리소스의 이름

properties.fromBackupResourceId

string

원본 백업 리소스 ID

properties.message

string

진행률 메시지

properties.operationType

string

작업 유형입니다.

properties.requestId

string (uuid)

요청 ID입니다.

properties.status

string

작업 상태

properties.targetBackupStorageRedundancy

BackupStorageRedundancy

복사한 백업의 스토리지 중복 유형

properties.toBackupResourceId

string

대상 백업 리소스 ID

systemData

systemData

Azure Resource Manager 메타데이터에 createdBy 및 modifiedBy 정보가 포함되어 있습니다.

type

string

리소스의 형식입니다. 예를 들어, "Microsoft. 컴퓨트/가상 머신" 또는 "Microsoft." 저장소/저장소 계정"

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

Name 형식 Description
createdAt

string (date-time)

리소스 만들기의 타임스탬프(UTC)입니다.

createdBy

string

리소스를 만든 ID입니다.

createdByType

createdByType

리소스를 만든 ID의 형식입니다.

lastModifiedAt

string (date-time)

리소스 마지막 수정의 타임스탬프(UTC)

lastModifiedBy

string

리소스를 마지막으로 수정한 ID입니다.

lastModifiedByType

createdByType

리소스를 마지막으로 수정한 ID의 형식입니다.